Loading...
Searching...
No Matches
section Struct Reference

## Data Fields

int | id
| unique id identifying a section
const char * | name
int | flags
int | children_ids [SECTION_MAX_NB_CHILDREN+1]
| list of children section IDS, terminated by -1
const char * | element_name
| name of the contained element, if provided
const char * | unique_name
| unique section name, in case the name is ambiguous
AVDictionary * | entries_to_show
int | show_all_entries

## Detailed Description

Definition at line 182 of file fftools_ffprobe.c.

## Field Documentation

## children_ids

int section::children_ids[SECTION_MAX_NB_CHILDREN+1]

list of children section IDS, terminated by -1

Definition at line 191 of file fftools_ffprobe.c.

## element_name

const char* section::element_name

name of the contained element, if provided

Definition at line 192 of file fftools_ffprobe.c.

## entries_to_show

AVDictionary* section::entries_to_show

Definition at line 194 of file fftools_ffprobe.c.

## flags

int section::flags

Definition at line 190 of file fftools_ffprobe.c.

## id

int section::id

unique id identifying a section

Definition at line 183 of file fftools_ffprobe.c.

## name

const char* section::name

Definition at line 184 of file fftools_ffprobe.c.

## show_all_entries

int section::show_all_entries

Definition at line 195 of file fftools_ffprobe.c.

## unique_name

const char* section::unique_name

unique section name, in case the name is ambiguous

Definition at line 193 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c